Main Page Class List Class Members

# Nv::Blast::CutoutSetImpl Struct Reference

`#include <NvBlastExtAuthoringCutoutImpl.h>`

Inheritance diagram for Nv::Blast::CutoutSetImpl:

List of all members.

## Public Member Functions
| CutoutSetImpl ()
uint32_t | getCutoutCount () const
uint32_t | getCutoutLoopCount (uint32_t cutoutIndex) const
const NvcVec3 & | getCutoutVertex (uint32_t cutoutIndex, uint32_t loopIndex, uint32_t vertexIndex) const
uint32_t | getCutoutVertexCount (uint32_t cutoutIndex, uint32_t loopIndex) const
const NvcVec2 & | getDimensions () const
bool | isCutoutVertexToggleSmoothingGroup (uint32_t cutoutIndex, uint32_t loopIndex, uint32_t vertexIndex) const
bool | isPeriodic () const
void | release ()
## Public Attributes
std::vector< Cutout > | cutoutLoops
std::vector< uint32_t > | cutouts
physx::PxVec2 | dimensions
bool | periodic

## Constructor & Destructor Documentation

Nv::Blast::CutoutSetImpl::CutoutSetImpl | ( |  | ) | `[inline]`

## Member Function Documentation

uint32_t Nv::Blast::CutoutSetImpl::getCutoutCount | ( |  | ) | const`[inline, virtual]`

Returns the number of cutouts in the set.

Implements Nv::Blast::CutoutSet.

uint32_t Nv::Blast::CutoutSetImpl::getCutoutLoopCount | ( | uint32_t | cutoutIndex | ) | const`[inline, virtual]`

Applies to the cutout indexed by cutoutIndex: Returns the number of loops in this cutout.

Implements Nv::Blast::CutoutSet.

const NvcVec3& Nv::Blast::CutoutSetImpl::getCutoutVertex | ( | uint32_t | cutoutIndex,
|  | uint32_t | loopIndex,
|  | uint32_t | vertexIndex |
| ) |  |  | const`[virtual]`

Applies to the cutout indexed by cutoutIndex: Returns the vertex indexed by vertexIndex. (Only the X and Y coordinates are used.)

Implements Nv::Blast::CutoutSet.

uint32_t Nv::Blast::CutoutSetImpl::getCutoutVertexCount | ( | uint32_t | cutoutIndex,
|  | uint32_t | loopIndex |
| ) |  |  | const`[inline, virtual]`

Applies to the cutout indexed by cutoutIndex: Returns the number of vertices in the cutout.

Implements Nv::Blast::CutoutSet.

const NvcVec2& Nv::Blast::CutoutSetImpl::getDimensions | ( |  | ) | const`[virtual]`

The dimensions of the fracture map used to create the cutout set.

Implements Nv::Blast::CutoutSet.

bool Nv::Blast::CutoutSetImpl::isCutoutVertexToggleSmoothingGroup | ( | uint32_t | cutoutIndex,
|  | uint32_t | loopIndex,
|  | uint32_t | vertexIndex |
| ) |  |  | const`[inline, virtual]`

If smoothing group should be changed for adjacent to this vertex faces return true

Implements Nv::Blast::CutoutSet.

bool Nv::Blast::CutoutSetImpl::isPeriodic | ( |  | ) | const`[inline, virtual]`

Whether or not this cutout set is to be tiled.

Implements Nv::Blast::CutoutSet.

void Nv::Blast::CutoutSetImpl::release | ( |  | ) | `[inline, virtual]`

Releases all memory and deletes itself.

Implements Nv::Blast::CutoutSet.

## Member Data Documentation

std::vector<Cutout> Nv::Blast::CutoutSetImpl::cutoutLoops

std::vector<uint32_t> Nv::Blast::CutoutSetImpl::cutouts

physx::PxVec2 Nv::Blast::CutoutSetImpl::dimensions

bool Nv::Blast::CutoutSetImpl::periodic

The documentation for this struct was generated from the following file:

- sdk/extensions/authoring/source/NvBlastExtAuthoringCutoutImpl.h